=== debian/changelog ===
tao-config (0.0+git20200604.84a7383-2) unstable; urgency=medium

  * Team upload.
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Jul 2020 22:00:23 +0200

tao-config (0.0+git20200604.84a7383-1) unstable; urgency=medium

  * Initial release (Closes: #964976)

 -- Shayan Doust <hello@shayandoust.me>  Mon, 13 Jul 2020 15:39:20 +0000
