=== debian/control ===
Source: tao-config
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Shayan Doust <hello@shayandoust.me>
Section: libdevel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               tao-json-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/tao-config
Vcs-Git: https://salsa.debian.org/med-team/tao-config.git
Homepage: https://github.com/taocpp/config
Rules-Requires-Root: no

Package: tao-config-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         tao-json-dev
Description: header library that reads config files and produces a JSON value
 C++ header-only library that reads config files based on JSON and JAXN
 formats and in turn, produces a single JSON valur as a result.
 .
 Its features are as follows:
  1. JAXN syntax with extensions (backwards compatible with JSON).
  2. JAXN data model (JSON extended with binary data and non-finites).
  3. Meta data, all sub-values are annotated with filename and position.
  4. Copy, reference, replace and delete anything in the JSON structure.
  5. Multiple ways to read and parse other config and data files.
  6. Uses environmental variables and the output of arbitrary
     shell commands.

Package: tao-config-examples
Architecture: all
Depends: ${misc:Depends}
Recommends: tao-config-dev
Description: header library that reads config files and produces a JSON value (examples)
 C++ header-only library that reads config files based on JSON and JAXN
 formats and in turn, produces a single JSON valur as a result.
 .
 Its features are as follows:
  1. JAXN syntax with extensions (backwards compatible with JSON).
  2. JAXN data model (JSON extended with binary data and non-finites).
  3. Meta data, all sub-values are annotated with filename and position.
  4. Copy, reference, replace and delete anything in the JSON structure.
  5. Multiple ways to read and parse other config and data files.
  6. Uses environmental variables and the output of arbitrary
     shell commands.
 .
 This package accommodates tao-config-dev package, and provides example
 C++ sources featuring the usage and functionality of this library.
