=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

# for hardening you might like to uncomment this:
# export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Move schema binary out directory as it relies on tests/
	mv build/src/test/config/schema .
	build/src/test/config/tests
	build/src/test/config/errors
	./schema
endif

override_dh_clean:
	dh_clean
	# Remove schema binary we moved out in override_dh_auto_test
	rm -f schema
