=== debian/watch ===
version=4

opts="mode=git,pretty=0.0+git%cd.%h" \
  https://github.com/taocpp/config.git HEAD
